
Source10: kmodtool_uek300
%define kmodtool bash %{SOURCE10}
%{!?kversion: %define kversion 2.6.32-300.3.1.el6uek.%{_target_cpu}}
# hint: this can he overridden with "--define kversion foo" on the rpmbuild command line, e.g.
# --define "kversion 2.6.16-1.2096_FC5"

%define kmod_name ovmapi
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define kvariants uek
# hint: this can he overridden with "--define kvariant foo bar" on the rpmbuild command line, e.g.
# --define 'kvariant "" smp' 

Name:           %{kmod_name}-kmod
Version:        1.0.0
Release: 27.300.uek6
Summary:        %{kmod_name} kernel modules

Group:          System Environment/Kernel
License:        GPL
URL:            http://sources.redhat.com/cluster
Source0:        ovmapi-kernel-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  i686 x86_64

Patch0: new_xenstore_format.patch
Patch1: value_size_fix.patch
Patch2: patch4670.patch
Patch3: patch8855.patch_11540
Patch4: patch8514.patch_28366
Patch5: patch1709.patch_32644
Patch6: patch9068.patch_26611
Patch7: rev344.patch
Patch8: rev404.patch
Patch9: rev464.patch
Patch10: rev466.patch
# End Oracle Patches


%description
ovmapi - Oracle vmapi

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
%setup -q -c -T -a 0
pushd %{kmod_name}-kernel-%{version}*
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0

sed -i '/RELEASE_NAME/s/"<CVS>"/"%{version}-%{release}"/' src/ovmapi/ovmapi.h

popd

cp -a %{kmod_name}-kernel-%{version} _kmod_build
pushd _kmod_build
ksrc=%{_usrsrc}/kernels/%{kverrel}
./configure --kernel_src=${ksrc} --libdir=%{_libdir} --incdir=%{_includedir}
popd

%build
ksrc=%{_usrsrc}/kernels/%{kverrel}
pushd _kmod_build
make -C "${ksrc}" SUBDIRS=${PWD} modules %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd _kmod_build
make install DESTDIR=$RPM_BUILD_ROOT/lib/modules/%{kverrel}/extra/%{kmod_name}
popd
# Temporarily executable for stripping, fixed later in %%files.
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Feb 16 2012 Tianyue Lan <tianyue.lan@oracle.com> - 1.0.0-27
- Added kernel-uek >= 2.6.32-300 requires in kmodtool_uek300

* Thu Jan 12 2012 Steve Prochniak <steve.prochniak@oracle.com> - 1.0.0-26 
- String changes 

* Wed Jan 04 2012 Steve Prochniak <steve.prochniak@oracle.com> - 1.0.0-25 
- Fix for 13548840 - be able to deal with value parts that are unordered in xenstore. 

* Wed Nov 02 2011 Steve Prochniak <steve.prochniak@oracle.com> - 1.0.0-24 
- Add some protection versus malformed vmapi events 

* Tue Nov 01 2011 Steve Prochniak <steve.prochniak@oracle.com> - 1.0.0-23 
- Implement more processing event 

* Tue Jul 26 2011 Steve Prochniak <steve.prochniak@oracle.com> - 1.0.0-22 
- Stop default dumping of printks to the console, unless module parameter debug_level is set (0-3) 

* Fri Jun 24 2011 Steve Prochniak <steve.prochniak@oracle.com> - 1.0.0-21 
- Fix so that we don't locally allocate ovmapi_event_t.  Fixes 32bit version. 

* Mon Jun 13 2011 Steve Prochniak <steve.prochniak@oracle.com> - 1.0.0-20 
- Fix so that new param events are triggered by API add event call 

* Fri Jun 03 2011 Steve Prochniak <steve.prochniak@oracle.com> - 1.0.0-19 
- Changes for building under newer kernel version 

* Fri May 06 2011 Steve Prochniak <steve.prochniak@oracle.com> - 1.0.0-18 
- make event_counter global.  remove specific handling for user events.  fix post_event to work for all event types. 

* Mon Feb 07 2011 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-17 
- Fix to value size bug. [bug 11705795] 

* Mon Jan 10 2011 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-16 
- Remove ovmapi/Module.markers, ovmapi/ovmapi.mod.c, and ovmapi/Module.symvers, as these are generated by the build process.
- Add back ovmapi/ovmapi.mod.c per Cathy's request
- Steve P. added new xenstore format. Removed some debug logging. 

* Tue Dec 21 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-15 
- Thinned out debug printfs. Allowed parameter overwrite. Changed cathy_guest to from_guest. 

* Mon Dec 20 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-14 
- Fix ioctl switch statement to not fall through. 

* Mon Dec 06 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-13
- Weikus feed back and open and immediate close bug fix.

* Thu Sep 23 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0.0-0
- Initial Build

